<?php

/**
 * @package   ElkArte Forum
 * @copyright ElkArte Forum contributors
 * @license   BSD http://opensource.org/licenses/BSD-3-Clause (see accompanying LICENSE.txt file)
 *
 * @version 2.0 dev
 *
 */

namespace ElkArte\Controller;

use ElkArte\AbstractController;
use ElkArte\User;

class Mybutton extends AbstractController
{
	/**
	 * Forward to the function you want, here there is only one!
	 *
	 * @see \ElkArte\AbstractController::action_index()
	 */
	public function action_index()
	{
		$this->action_my_button_action();
	}

	/**
	 * Do Something, maybe even something awesome!
	 */
	public function action_my_button_action()
	{
		global $context;

		// Maybe you don't want just anyone looking?
		if (User::$info->is_guest)
		{
			redirectexit();
		}

		// Load a template file, pick a template to use
		theme()->getTemplates()->load('Errors');
		$context['sub_template'] = 'fatal_error';

		// Load the values the template needs
		$context['error_title'] = 'My Title';
		$context['error_code'] = '';
		$context['error_message'] = 'Important stuff, can be <strong>html</strong> as well';
	}
}
